Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043502
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POSmajoralways2020-03-16 14:252020-06-05 10:08
ReportermarvintmView Statuspublic 
Assigned Tonicola_uva 
PrioritynormalResolutionfixedFixed in VersionRR20Q3
StatusclosedFix in branchFixed in SCM revisiona99ca4d875af
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043502: Discounts characteristics filter should be improved for cases of multiple characteristic values to handle inclusion/exclusion

DescriptionThere are two improvements that could be done to the discounts filter by characteristics:
- First, if the same characteristic appears multiple times, with different values, then the discounts engine should apply the discount if the corresponding product has one of the specified values
- Second, instead of one tab, there should be two tabs for characteristics filter: one for inclusion, and another for exclusion. For the discount to be considered candidate for a given product, it should comply both with the inclusion requirements, and the exclusion requirements.

A practical example of a discount which would use these two capabilities:

A 10% discount on the price of the product, for products of seasons 2015, 2016 and 2017, for brand "X", but which should not be applied for products of "color" "black".

Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate feature request 0043204 closedRetail Discounts with Characteristics. It is not possible to create exceptions within characteristics. 

-  Notes
(0119702)
hgbot (developer)
2020-05-08 14:23

Repository: erp/pmods/org.openbravo.retail.testsampledata
Changeset: 57abbde4bf45f2f534cee33204de0431e1d61933
Author: Nicola Uva <nicola.uva <at> openbravo.com>
Date: Fri May 08 14:22:33 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.testsampledata/rev/57abbde4bf45f2f534cee33204de0431e1d61933 [^]

Related to the issue 43502

---
M referencedata/sampledata/Retail_Test/M_OFFER.xml
M referencedata/sampledata/Retail_Test/M_OFFER_CHARACTERISTIC.xml
---
(0119703)
hgbot (developer)
2020-05-08 14:31

Repository: erp/devel/pi
Changeset: af45ed5b5f203ef5727c378d3a86b0adbfd1a267
Author: Nicola Uva <nicola.uva <at> openbravo.com>
Date: Tue May 05 22:59:09 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/af45ed5b5f203ef5727c378d3a86b0adbfd1a267 [^]

Fixes Issue 0043502: Discounts characteristics filter should be improved for cases of multiple characteristic values to handle inclusion/exclusion

---
M src-db/database/model/tables/M_OFFER.xml
M src-db/database/model/tables/M_OFFER_CHARACTERISTIC.xml
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-db/database/sourcedata/M_INVENTORYSTATUS.xml
M src-db/database/sourcedata/M_OFFER_TYPE.xml
---
(0119704)
hgbot (developer)
2020-05-08 14:31

Repository: erp/devel/pi
Changeset: 16c52d52a2e42f22d4b9b1988e449e1f05243713
Author: Nicola Uva <nicola.uva <at> openbravo.com>
Date: Fri May 08 11:15:29 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/16c52d52a2e42f22d4b9b1988e449e1f05243713 [^]

Fixes Issue 0043502: Discounts characteristics filter should be improved for cases of multiple characteristic values to handle inclusion/exclusion

---
M src-db/database/model/tables/M_OFFER_CHARACTERISTIC.xml
---
(0119705)
hgbot (developer)
2020-05-08 14:34

Repository: erp/pmods/org.openbravo.retail.discounts
Changeset: c9b927f8d4012fd0fea8d86abe2cfd8886758849
Author: Nicola Uva <nicola.uva <at> openbravo.com>
Date: Thu May 07 23:28:53 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/c9b927f8d4012fd0fea8d86abe2cfd8886758849 [^]

Fixes Issue 0043502: Discounts characteristics filter inclusion/exclusion

---
M src-db/database/sourcedata/AD_FIELD.xml
M src-test/org/openbravo/retail/discounts/test/base/model/DiscountRule.java
M src-test/org/openbravo/retail/discounts/test/base/model/OfferCharacteristic.java
M src-test/org/openbravo/retail/discounts/test/unittests/DiscountsUnitTestSuite.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I32533_DiscountsByProductCharacteristic.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I42883_DiscountsByCharacteristicIsWellApplied.java
M web/org.openbravo.retail.discounts/app/model/businessLogic/discountsengine/engine/discount-rules.js
A src-test/org/openbravo/retail/discounts/test/unittests/combined/I43502_DiscountsByProductCharacteristic.java
---
(0119706)
hgbot (developer)
2020-05-08 14:36

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 7a21406ea8e63be1a1e4d5bcef381547ba5e1a7f
Author: Nicola Uva <nicola.uva <at> openbravo.com>
Date: Tue May 05 22:59:10 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7a21406ea8e63be1a1e4d5bcef381547ba5e1a7f [^]

Fixes Issue 0043502: Discounts characteristics filter inclusion/exclusion

---
M src-db/database/sourcedata/AD_FIELD.xml
M src/org/openbravo/retail/posterminal/master/DiscountFilterCharacteristicProperties.java
---
(0119707)
hgbot (developer)
2020-05-08 14:40

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: 12c5f7329798cb9ed5bb757a1fcc2a337f211856
Author: Nicola Uva <nicola.uva <at> openbravo.com>
Date: Wed May 06 11:02:30 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/12c5f7329798cb9ed5bb757a1fcc2a337f211856 [^]

Fixes Issue 0043502: Discounts characteristics filter should be improved for cases of multiple characteristic values to handle inclusion/exclusion

---
M referencedata/sampledata/The_White_Valley_Group/M_OFFER_CHARACTERISTIC.xml
---
(0119708)
hgbot (developer)
2020-05-08 14:40

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: c040b632793a92a40853bbb0bd10413d442a3eb6
Author: Nicola Uva <nicola.uva <at> openbravo.com>
Date: Wed May 06 15:51:44 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/c040b632793a92a40853bbb0bd10413d442a3eb6 [^]

Fixes Issue 0043502: Discounts characteristics filter should be improved for cases of multiple characteristic values to handle inclusion/exclusion

---
M referencedata/sampledata/The_White_Valley_Group/M_OFFER.xml
---
(0119709)
hgbot (developer)
2020-05-08 14:40

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: b1c6d5441524f558aa8dd3e2ece01338b0594229
Author: Nicola Uva <nicola.uva <at> openbravo.com>
Date: Wed May 06 18:41:57 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/b1c6d5441524f558aa8dd3e2ece01338b0594229 [^]

Fixes Issue 0043502: Discounts characteristics filter should be improved for cases of multiple characteristic values to handle inclusion/exclusion

---
M referencedata/sampledata/The_White_Valley_Group/M_OFFER.xml
---
(0119710)
hgbot (developer)
2020-05-08 14:40

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: 0dec9777739bc1eb4ad7da56d80bdfda38692d41
Author: Nicola Uva <nicola.uva <at> openbravo.com>
Date: Fri May 08 11:14:52 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/0dec9777739bc1eb4ad7da56d80bdfda38692d41 [^]

Fixes Issue 0043502: Discounts characteristics filter inclusion/exclusion

---
M referencedata/sampledata/The_White_Valley_Group/M_OFFER_CHARACTERISTIC.xml
---
(0119751)
hgbot (developer)
2020-05-12 08:59

Repository: erp/devel/pi
Changeset: 93446e384b5ca72effc3e6c535b8d49010a2ac8d
Author: Nicola Uva <nicola.uva <at> openbravo.com>
Date: Mon May 11 09:41:00 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/93446e384b5ca72effc3e6c535b8d49010a2ac8d [^]

Fixes Issue 0043502: Discounts characteristics filter

---
M src-db/database/model/tables/M_OFFER.xml
M src-db/database/model/tables/M_OFFER_CHARACTERISTIC.xml
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_REFERENCE.xml
M src-db/database/sourcedata/AD_REF_LIST.xml
M src-db/database/sourcedata/AD_TAB.xml
---
(0119752)
hgbot (developer)
2020-05-12 09:00

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: eecc2c13e968ad85c084af9d418bb669fe4e7faf
Author: Nicola Uva <nicola.uva <at> openbravo.com>
Date: Mon May 11 09:41:50 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/eecc2c13e968ad85c084af9d418bb669fe4e7faf [^]

Fixes Issue 0043502: Discounts characteristics filter

---
M src-db/database/sourcedata/AD_FIELD.xml
M src/org/openbravo/retail/posterminal/master/DiscountFilterCharacteristicProperties.java
---
(0119753)
hgbot (developer)
2020-05-12 09:01

Repository: erp/pmods/org.openbravo.retail.discounts
Changeset: a99ca4d875af0cd9166fcb48cabb3a72f8d2e1c0
Author: Nicola Uva <nicola.uva <at> openbravo.com>
Date: Mon May 11 09:41:29 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/a99ca4d875af0cd9166fcb48cabb3a72f8d2e1c0 [^]

Fixes Issue 0043502: Discounts characteristics

---
M src-test/org/openbravo/retail/discounts/test/base/model/DiscountRule.java
M src-test/org/openbravo/retail/discounts/test/base/model/OfferCharacteristic.java
M src-test/org/openbravo/retail/discounts/test/unittests/DiscountsUnitTestSuite.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I32533_DiscountsByProductCharacteristic.java
M src-test/org/openbravo/retail/discounts/test/unittests/combined/I42883_DiscountsByCharacteristicIsWellApplied.java
M web/org.openbravo.retail.discounts/app/model/businessLogic/discountsengine/engine/discount-rules.js
A src-test/org/openbravo/retail/discounts/test/unittests/combined/I43502_DiscountsByProductCharacteristic.java
---
(0119755)
hgbot (developer)
2020-05-12 09:02

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: 5d3d67ca70926de265faee0be2577772a0ecab3e
Author: Nicola Uva <nicola.uva <at> openbravo.com>
Date: Mon May 11 09:42:39 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/5d3d67ca70926de265faee0be2577772a0ecab3e [^]

Related to the Issue 0043502: Discounts characteristics filter

---
M referencedata/sampledata/The_White_Valley_Group/M_OFFER.xml
M referencedata/sampledata/The_White_Valley_Group/M_OFFER_CHARACTERISTIC.xml
---
(0119756)
hgbot (developer)
2020-05-12 09:02

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: bb54bd61c5b73edc6d0c4b482af3cf9a6eab45d2
Author: Nicola Uva <nicola.uva <at> openbravo.com>
Date: Mon May 11 12:46:34 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/bb54bd61c5b73edc6d0c4b482af3cf9a6eab45d2 [^]

Related to the Issue 0043502: Discounts characteristics filter

---
M referencedata/sampledata/The_White_Valley_Group/M_OFFER.xml
---
(0119757)
hgbot (developer)
2020-05-12 09:02

Repository: erp/pmods/org.openbravo.retail.sampledata
Changeset: e58a6ca56d29bb3c544df601f0bfcb510f93e110
Author: Nicola Uva <nicola.uva <at> openbravo.com>
Date: Mon May 11 14:54:09 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/e58a6ca56d29bb3c544df601f0bfcb510f93e110 [^]

Related to the Issue 0043502: Changed default value

---
M referencedata/sampledata/The_White_Valley_Group/M_OFFER_CHARACTERISTIC.xml
---
(0119758)
hgbot (developer)
2020-05-12 09:04

Repository: erp/pmods/org.openbravo.retail.testsampledata
Changeset: 051d4439eeebe0384537d9bcb8d29ced9cfc3b60
Author: Nicola Uva <nicola.uva <at> openbravo.com>
Date: Tue May 12 08:54:48 2020 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.testsampledata/rev/051d4439eeebe0384537d9bcb8d29ced9cfc3b60 [^]

Related to the issue 43502

---
M referencedata/sampledata/Retail_Test/M_OFFER.xml
M referencedata/sampledata/Retail_Test/M_OFFER_CHARACTERISTIC.xml
---
(0119776)
hgbot (developer)
2020-05-12 13:31

Repository: erp/devel/pi
Changeset: f70123c9b65139cc988be6a0be5d07c5f03bbfd6
Author: Nicola Uva <nicola.uva <at> openbravo.com>
Date: Tue May 12 13:29:11 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f70123c9b65139cc988be6a0be5d07c5f03bbfd6 [^]

Related to the issue 43502 : moved aux input on exclude characteristic tab

---
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
---
(0120689)
hudsonbot (developer)
2020-06-05 10:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5df961d296a2 [^]
Maturity status: Test
(0120690)
hudsonbot (developer)
2020-06-05 10:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5df961d296a2 [^]
Maturity status: Test
(0120691)
hudsonbot (developer)
2020-06-05 10:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5df961d296a2 [^]
Maturity status: Test
(0120692)
hudsonbot (developer)
2020-06-05 10:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/5df961d296a2 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2020-03-16 14:25 marvintm New Issue
2020-03-16 14:25 marvintm Assigned To => Retail
2020-03-16 14:25 marvintm Triggers an Emergency Pack => No
2020-03-16 14:26 marvintm Relationship added has duplicate 0043204
2020-03-16 14:34 martinsdan Issue Monitored: martinsdan
2020-05-08 14:23 hgbot Checkin
2020-05-08 14:23 hgbot Note Added: 0119702
2020-05-08 14:31 hgbot Checkin
2020-05-08 14:31 hgbot Note Added: 0119703
2020-05-08 14:31 hgbot Status new => resolved
2020-05-08 14:31 hgbot Resolution open => fixed
2020-05-08 14:31 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/af45ed5b5f203ef5727c378d3a86b0adbfd1a267 [^]
2020-05-08 14:31 hgbot Checkin
2020-05-08 14:31 hgbot Note Added: 0119704
2020-05-08 14:31 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/af45ed5b5f203ef5727c378d3a86b0adbfd1a267 [^] => http://code.openbravo.com/erp/devel/pi/rev/16c52d52a2e42f22d4b9b1988e449e1f05243713 [^]
2020-05-08 14:34 hgbot Checkin
2020-05-08 14:34 hgbot Note Added: 0119705
2020-05-08 14:34 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/16c52d52a2e42f22d4b9b1988e449e1f05243713 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/c9b927f8d4012fd0fea8d86abe2cfd8886758849 [^]
2020-05-08 14:36 hgbot Checkin
2020-05-08 14:36 hgbot Note Added: 0119706
2020-05-08 14:36 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/c9b927f8d4012fd0fea8d86abe2cfd8886758849 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7a21406ea8e63be1a1e4d5bcef381547ba5e1a7f [^]
2020-05-08 14:40 hgbot Checkin
2020-05-08 14:40 hgbot Note Added: 0119707
2020-05-08 14:40 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/7a21406ea8e63be1a1e4d5bcef381547ba5e1a7f [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/12c5f7329798cb9ed5bb757a1fcc2a337f211856 [^]
2020-05-08 14:40 hgbot Checkin
2020-05-08 14:40 hgbot Note Added: 0119708
2020-05-08 14:40 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/12c5f7329798cb9ed5bb757a1fcc2a337f211856 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/c040b632793a92a40853bbb0bd10413d442a3eb6 [^]
2020-05-08 14:40 hgbot Checkin
2020-05-08 14:40 hgbot Note Added: 0119709
2020-05-08 14:40 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/c040b632793a92a40853bbb0bd10413d442a3eb6 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/b1c6d5441524f558aa8dd3e2ece01338b0594229 [^]
2020-05-08 14:40 hgbot Checkin
2020-05-08 14:40 hgbot Note Added: 0119710
2020-05-08 14:40 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/b1c6d5441524f558aa8dd3e2ece01338b0594229 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/0dec9777739bc1eb4ad7da56d80bdfda38692d41 [^]
2020-05-08 14:47 marvintm Assigned To Retail => nicola_uva
2020-05-12 08:59 hgbot Checkin
2020-05-12 08:59 hgbot Note Added: 0119751
2020-05-12 08:59 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.sampledata/rev/0dec9777739bc1eb4ad7da56d80bdfda38692d41 [^] => http://code.openbravo.com/erp/devel/pi/rev/93446e384b5ca72effc3e6c535b8d49010a2ac8d [^]
2020-05-12 09:00 hgbot Checkin
2020-05-12 09:00 hgbot Note Added: 0119752
2020-05-12 09:00 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/93446e384b5ca72effc3e6c535b8d49010a2ac8d [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/eecc2c13e968ad85c084af9d418bb669fe4e7faf [^]
2020-05-12 09:01 hgbot Checkin
2020-05-12 09:01 hgbot Note Added: 0119753
2020-05-12 09:01 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/eecc2c13e968ad85c084af9d418bb669fe4e7faf [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/a99ca4d875af0cd9166fcb48cabb3a72f8d2e1c0 [^]
2020-05-12 09:02 hgbot Checkin
2020-05-12 09:02 hgbot Note Added: 0119755
2020-05-12 09:02 hgbot Checkin
2020-05-12 09:02 hgbot Note Added: 0119756
2020-05-12 09:02 hgbot Checkin
2020-05-12 09:02 hgbot Note Added: 0119757
2020-05-12 09:04 hgbot Checkin
2020-05-12 09:04 hgbot Note Added: 0119758
2020-05-12 13:31 hgbot Checkin
2020-05-12 13:31 hgbot Note Added: 0119776
2020-05-12 17:08 marvintm Review Assigned To => marvintm
2020-05-12 17:08 marvintm Status resolved => closed
2020-05-12 17:08 marvintm Fixed in Version => RR20Q3
2020-06-05 10:08 hudsonbot Checkin
2020-06-05 10:08 hudsonbot Note Added: 0120689
2020-06-05 10:08 hudsonbot Checkin
2020-06-05 10:08 hudsonbot Note Added: 0120690
2020-06-05 10:08 hudsonbot Checkin
2020-06-05 10:08 hudsonbot Note Added: 0120691
2020-06-05 10:08 hudsonbot Checkin
2020-06-05 10:08 hudsonbot Note Added: 0120692


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker